class Program : System.Windows.Forms.Form
{
	Program()
	{
		TUGames.PF.Init( this );
		TUGames.GL.Init( Handle );
	}

	protected override void OnPaint( System.Windows.Forms.PaintEventArgs e )
	{
		TUGames.GL.Color4ub( 0x00, 0x00, 0xff, 0xff );

		var	va = new float[]{
			-0.9f, -0.9f,
			-0.9f,  0.9f,
			 0.9f, -0.9f,
			 0.9f,  0.9f,
		};

		TUGames.GL.EnableClientState( TUGames.GL.VERTEX_ARRAY );
		TUGames.GL.VertexPointer( 2, TUGames.GL.FLOAT, 0, va );
		TUGames.GL.DrawArrays( TUGames.GL.TRIANGLE_STRIP, 0, 4 );

		TUGames.GL.SwapBuffers();	//	表裏画面を切り替え、描画内容を表示
	}

	static void Main( string[] args )
	{
		System.Windows.Forms.Application.Run( new Program() );
	}
}
