﻿#include <windows.h>
#include <GL/gl.h>

#using <System.dll>
#using <System.Windows.Forms.dll>
#using "TUGamesGL.dll"

ref class Program : System::Windows::Forms::Form
{
	HDC		mHDC;

public:
	Program()
	{
		mHDC = (HDC)TUGames::GL::Init( Handle )[ 0 ].ToInt32();
	}

protected:
	virtual void OnPaint( System::Windows::Forms::PaintEventArgs^ e ) override
	{
		glColor4ub( 0x00, 0x00, 0xff, 0xff );

		float	va[] = {
			-0.9f, -0.9f,
			-0.9f,  0.9f,
			 0.9f, -0.9f,
			 0.9f,  0.9f,
		};

		glEnableClientState( GL_VERTEX_ARRAY );
		glVertexPointer( 2, GL_FLOAT, 0, va );
		glDrawArrays( GL_TRIANGLE_STRIP, 0, 4 );

		SwapBuffers( mHDC );	//	表裏画面を切り替え、描画内容を表示
	}
};

void main()
{
	System::Windows::Forms::Application::Run( gcnew Program() );
}
