class Program : System.Windows.Forms.Form
{
	Program()
	{
		ClientSize = new System.Drawing.Size( 480, 480 );
		TUGames.GU.Init( this );	//	自身とウィンドウサイズを指定してライブラリ初期化
	}

	protected override void OnPaint( System.Windows.Forms.PaintEventArgs e )
	{
		var		bm = TUGames.PF.GetBitmap(
		 "Hello World",
		 new System.Drawing.Font( "MS Gothic", 16, System.Drawing.FontStyle.Bold ),
		 System.Drawing.Color.White
		);

		uint	tex = TUGames.GU.CreateTexture();
		TUGames.GU.BindTexture( tex );
		TUGames.GU.TexParameterFilter( TUGames.GU.NEAREST );
		TUGames.GU.TexImage2D( bm );
		TUGames.GU.DrawTexture( tex, -0.3f, 0.1f, 0.0f, bm.Width / 240.0f, -bm.Height / 240.0f );	//	指定したテクスチャ、座標 XYZ と幅高さ Width, Height で、矩形を描画

		TUGames.GU.SwapBuffers();	//	表裏画面を切り替え、描画内容を表示
	}

	static void Main( string[] args )
	{
		System.Windows.Forms.Application.Run( new Program() );
	}
}
