class Program : System.Windows.Forms.Form
{
	Program()
	{
		SetStyle( System.Windows.Forms.ControlStyles.Opaque, true );	//	ちらつき防止
		TUGames.GX.Init( this, 640, 480 );	//	自身、ウィンドウサイズ横、縦を指定してライブラリ初期化
		TUGames.GX.ClearColor( 0xff00aa00 );	//	背景色をABGR形式で設定

		var	t = TUGames.GU.CreateTexImage( 4, 4, new ushort[]{
		 0xffff, 0x00ff, 0x00ff, 0x0000,
		 0xffff, 0xfaaf, 0xfaaf, 0x0000,
		 0xfaaf, 0x00ff, 0x00ff, 0xfaaf,
		 0x0000, 0x00ff, 0x00ff, 0x0000,
		} );

		int		x = 320, y = 240;
		TUGames.PF.StartLoop( 60,	//	fpsを指定してループを開始し、更新処理と描画処理を登録
		() =>{	//	更新処理
			if( TUGames.PF.IsKeyDown( System.Windows.Forms.Keys.Left  ) )	x--;	//	引数で指定されたキーが押されている場合
			if( TUGames.PF.IsKeyDown( System.Windows.Forms.Keys.Right ) )	x++;	//	引数で指定されたキーが押されている場合
			if( TUGames.PF.IsKeyDown( System.Windows.Forms.Keys.Up    ) )	y--;	//	引数で指定されたキーが押されている場合
			if( TUGames.PF.IsKeyDown( System.Windows.Forms.Keys.Down  ) )	y++;	//	引数で指定されたキーが押されている場合
		},
		() =>{	//	描画処理
			TUGames.GX.Clear();	//	設定された背景色で画面初期化
			TUGames.GX.DrawTexture( t, x, y, 0, 64, 64 );	//	指定されたテクスチャを、座標XYZへ幅高さWHにして描画
			TUGames.GX.SwapBuffers();	//	表裏画面を切り替え、描画内容を表示
		} );
	}

	static void Main( string[] args )
	{
		System.Windows.Forms.Application.Run( new Program() );
	}
}
