class Program : System.Windows.Forms.Form
{
	Program()
	{
		SetStyle( System.Windows.Forms.ControlStyles.Opaque, true );	//	ちらつき防止
		TUGames.GX.Init( this, 640, 480 );	//	自身、ウィンドウサイズ幅高さを指定してライブラリ初期化

		var	wo = new TUGames.TUWaveOut();
		var	f = 110;

		TUGames.PF.StartLoop( 60,	//	fpsを指定してループを開始し、更新処理と描画処理を登録
		()=>{	//	更新処理
			if( wo.getFlagDoneDB() ){
				wo.playDB( TUGames.TUWaveOut.CreateSquare( f, 1000, 0x300 ) );
				f *= 2;
			}
		},
		()=>{	//	描画処理
			TUGames.GX.Clear();	//	設定された背景色で画面初期化
			TUGames.GX.SwapBuffers();	//	描画内容を画面に反映
		} );
	}

	static void Main( string[] args )
	{
		System.Windows.Forms.Application.Run( new Program() );
	}
}
