class Program : System.Windows.Forms.Form
{
	string[]	keyword = { "abstract", "as", "base", "bool", "break", "byte", "case", "catch", "char", "checked", "class", "const", "continue", "debugger", "decimal", "default", "delegate", "do", "double", "else", "enum", "event", "explicit", "export", "extends", "extern", "false", "finally", "fixed", "float", "for", "foreach", "function", "goto", "if", "import", "implicit", "in", "int", "instanceof", "interface", "internal", "is", "lock", "long", "namespace", "new", "null", "object", "operator", "out", "override", "params", "private", "protected", "public", "readonly", "ref", "return", "sbyte", "sealed", "short", "sizeof", "stackalloc", "static", "string", "struct", "super", "switch", "this", "throw", "true", "try", "typeof", "uint", "ulong", "unchecked", "unsafe", "ushort", "using", "using static", "virtual", "void", "volatile", "while", "add","alias","ascending","async","await","by","descending","dynamic","equals","from","get","global","group","into","join","let","nameof","on","orderby","partial","partial","remove","select","set","unmanaged","value","var","when","where","where", "yield", "auto", "array", "gcnew", "property", "get", "set", "typedef", "unsigned", "value", };

	Program()
	{
		var	rnd = new System.Random();
		SetStyle( System.Windows.Forms.ControlStyles.Opaque, true );	//	ちらつき防止
		TUGames.GX.Init( this, 640, 480 );	//	自身、ウィンドウサイズ横、縦を指定してライブラリ初期化
		TUGames.GX.FontSize = 32;
		int		score = 0;		//	得点
		int		time = 30 * 60;	//	30秒
		string	str = "";
		for( int i = keyword.Length - 1; i >= 0; i-- ){
			str += keyword[ rnd.Next( keyword.Length ) ];
			if( i > 0 ){
				str += " ";
			}
		}
		TUGames.PF.StartLoop( 60,	//	fpsを指定してループを開始し、更新処理と描画処理を登録
		() =>{	//	更新処理
			if( time == 0 || str == "" ){
				return;
			}
			if( TUGames.PF.GetKey( System.Windows.Forms.Keys.A + str[ 0 ] - 'a' ) == 1 ||
			    ( TUGames.PF.GetKey( System.Windows.Forms.Keys.Space ) == 1 && str[ 0 ] == ' ' ) ){
				if( str.Length > 1 ){
					str = str.Substring( 1 );
				}else{
					str = "";
				}
				score++;
			}
			if( score > 0 && str.Length > 0 ){
				time--;
			}
		},
		() =>{	//	描画処理
			TUGames.GX.Clear();	//	設定された背景色で画面初期化
			TUGames.GX.DrawASCII( "SCORE " + score, 50, 30, 0, 0xffffffff );
			TUGames.GX.DrawASCII( "TIME " + time, 350, 30, 0, 0xffffffff );
			TUGames.GX.DrawASCII( str.Substring( 0, System.Math.Min( 20, str.Length ) ), 100, 220, 0, 0xffffffff );
			if( time == 0 ){
				TUGames.GX.DrawASCII( "GAME OVER", 200, 140, 0, 0xffffffff );
			}
			if( str == "" ){
				TUGames.GX.DrawASCII( "GAME CLEAR!", 200, 140, 0, 0xffffffff );
			}
			TUGames.GX.SwapBuffers();	//	表裏画面を切り替え、描画内容を表示
		} );
	}

	static void Main( string[] args )
	{
		System.Windows.Forms.Application.Run( new Program() );
	}
}
