"use strict";

window.onload = function()
{
	TUGames.GX.Init( "main", 640, 480 );	//	キャンバスIDと描画領域を指定してライブラリ初期化
	TUGames.GX.ClearColor( 0xffff0000 );	//	背景色をABGR形式で設定
	TUGames.GX.FontSize = 32;	//	文字列描画時の大きさを設定

	let		x = 300, y = 220;
	TUGames.PF.StartLoop( 60,	//	fpsを指定してループを開始し、更新処理と描画処理を登録
	()=>{	//	更新処理
		if( TUGames.PF.IsKeyDown( 37 ) )	x--;	//	引数で指定されたキーが押されている場合
		if( TUGames.PF.IsKeyDown( 38 ) )	y--;	//	引数で指定されたキーが押されている場合
		if( TUGames.PF.IsKeyDown( 39 ) )	x++;	//	引数で指定されたキーが押されている場合
		if( TUGames.PF.IsKeyDown( 40 ) )	y++;	//	引数で指定されたキーが押されている場合
	},
	()=>{	//	描画処理
		TUGames.GX.Clear();	//	設定された背景色で画面初期化
		TUGames.GX.DrawString( "Left" ,  50,  50, 0, 0xff00ffff );	//	座標XYZへ、ABGR形式で指定した色で文字列を描画
		TUGames.GX.DrawString( "Up"   ,  50, 100, 0, 0xffff00ff );	//	座標XYZへ、ABGR形式で指定した色で文字列を描画
		TUGames.GX.DrawString( "Right",  50, 150, 0, 0xffffff00 );	//	座標XYZへ、ABGR形式で指定した色で文字列を描画
		TUGames.GX.DrawString( "Down" ,  50, 200, 0, 0xff00ff00 );	//	座標XYZへ、ABGR形式で指定した色で文字列を描画
		TUGames.GX.DrawString( ": " + TUGames.PF.IsKeyDown( 37 ),  200,  50, 0, 0xffaaffff );//	座標XYZへ、ABGR形式で指定した色で文字列を描画
		TUGames.GX.DrawString( ": " + TUGames.PF.IsKeyDown( 38 ),  200, 100, 0, 0xffffaaff );//	座標XYZへ、ABGR形式で指定した色で文字列を描画
		TUGames.GX.DrawString( ": " + TUGames.PF.IsKeyDown( 39 ),  200, 150, 0, 0xffffffaa );//	座標XYZへ、ABGR形式で指定した色で文字列を描画
		TUGames.GX.DrawString( ": " + TUGames.PF.IsKeyDown( 40 ),  200, 200, 0, 0xffaaffaa );//	座標XYZへ、ABGR形式で指定した色で文字列を描画
		TUGames.GX.FillRectZ( x, y, 1, 40, 40, 0xaaffffff );	//	座標XYZへ、幅高さWH、ABGR形式で指定した色で矩形を描画
		GL.flush();	//	描画内容を画面に反映
	} );
}
