"use strict";

class Program extends TUGames.Client
{
	constructor()
	{
		super();

		TUGames.GX.Init( "main", 640, 480 );	//	キャンバスIDと描画領域を指定してライブラリ初期化
		TUGames.GX.ClearColor( 0xffff0000 );	//	背景色をABGR形式で設定

		this.cmd( TUGames.Client.WO_New() );
		let		woi = this.mDX;
		let		wo = this.mObj[ woi ];
		let		f = 110;

		TUGames.PF.StartLoop( 60,	//	fpsを指定してループを開始し、更新処理と描画処理を登録
		()=>{	//	更新処理
//			if( wo.getFlagDoneDB() ){
			this.cmd( TUGames.Client.WO_getFlagDoneDB( woi ) );
			if( !this.mCF ){
//				wo.playDB( wo.createSquare( f, 1000, 0x300 ) );
				this.cmd( TUGames.Client.WO_createSquare( woi, f, 1000, 0x300 ) );
				let		sqi = this.mDX;
				let		sq = this.mObj[ sqi ];
				this.cmd( TUGames.Client.WO_playDB( woi, sqi ) );
				f *= 2;
			}
		},
		()=>{	//	描画処理
			TUGames.GX.Clear();	//	設定された背景色で画面初期化
			GL.flush();	//	描画内容を画面に反映
		} );
	}
}


window.onload = function()
{
	new Program();
}
