class Program : System.Windows.Forms.Form
{
	Program()
	{
		TUGames.PF.Init( this );
		TUGames.GL.Init( Handle );
		TUGames.GL.LookAt( 0, 0, 0,  1, 1, -1,  0, 0, 1 );
	}

	protected override void OnPaint( System.Windows.Forms.PaintEventArgs e )
	{
		var	va = new float[]{
			-0.5f, -0.5f, -0.5f,
			 0.5f, -0.5f, -0.5f,

			-0.5f, -0.5f,  0.5f,
			 0.5f, -0.5f,  0.5f,

			-0.5f,  0.5f,  0.5f,
			 0.5f,  0.5f,  0.5f,

			-0.5f,  0.5f, -0.5f,
			 0.5f,  0.5f, -0.5f,
		};

		TUGames.GL.EnableClientState( TUGames.GL.VERTEX_ARRAY );
		TUGames.GL.VertexPointer( 3, TUGames.GL.FLOAT, 0, va );

		TUGames.GL.Color4ub( 0x00, 0xff, 0x00, 0xff );
		TUGames.GL.DrawElements( TUGames.GL.TRIANGLE_STRIP, 4, TUGames.GL.UNSIGNED_BYTE, new byte[]{ 6, 0, 4, 2 } );

		TUGames.GL.Color4ub( 0x55, 0xff, 0x55, 0xff );
		TUGames.GL.DrawElements( TUGames.GL.TRIANGLE_STRIP, 4, TUGames.GL.UNSIGNED_BYTE, new byte[]{ 0, 1, 2, 3 } );

		TUGames.GL.Color4ub( 0xaa, 0xff, 0xaa, 0xff );
		TUGames.GL.DrawElements( TUGames.GL.TRIANGLE_STRIP, 4, TUGames.GL.UNSIGNED_BYTE, new byte[]{ 2, 3, 4, 5 } );

		TUGames.GL.SwapBuffers();	//	表裏画面を切り替え、描画内容を表示
	}

	static void Main( string[] args )
	{
		System.Windows.Forms.Application.Run( new Program() );
	}
}
