class Program : System.Windows.Forms.Form
{
	Program()
	{
		ClientSize = new System.Drawing.Size( 480, 480 );
		TUGames.GU.Init( this );	//	自身とウィンドウサイズを指定してライブラリ初期化
		TUGames.GU.U_LookAt( 0, 0, 0,  1, 1, -1,  0, 0, 1 );
	}

	protected override void OnPaint( System.Windows.Forms.PaintEventArgs e )
	{
		TUGames.GU.FillRectXN( -0.5f,  0.5f, -0.5f, -1.0f, 1.0f, 0xff0000ff );	//	指定した座標 XYZ と Y長さ、Z長さ、色 ABGR で、X面に矩形を描画
		TUGames.GU.FillRectYN( -0.5f, -0.5f, -0.5f,  1.0f, 1.0f, 0xff0000ff );	//	指定した座標 XYZ と X長さ、Z長さ、色 ABGR で、Y面に矩形を描画
		TUGames.GU.FillRectZN( -0.5f, -0.5f,  0.5f,  1.0f, 1.0f, 0xff0000ff );	//	指定した座標 XYZ と X長さ、Y長さ、色 ABGR で、Z面に矩形を描画
		TUGames.GU.SwapBuffers();	//	表裏画面を切り替え、描画内容を表示
	}

	static void Main( string[] args )
	{
		System.Windows.Forms.Application.Run( new Program() );
	}
}
