class Program : System.Windows.Forms.Form
{

/*
透明
#000000
#22DD22
#66FF66
#2222FF
#4466FF
#AA2222
#44DDFF
#FF2222
#FF6666
#DDDD22
#DDDD88
#228822
#DD44AA
#AAAAAA
#FFFFFF
*/



	Program()
	{
		SetStyle( System.Windows.Forms.ControlStyles.Opaque, true );	//	ちらつき防止

		TUGames.GX.Init( this, 272, 200, 3 );	//	自身、ウィンドウサイズ幅高さを指定してライブラリ初期化
		TUGames.GX.ClearColor( 0xffffdd44 );	//	背景色をABGR形式で設定

		TUGames.PF.StartLoop( 60,	//	fpsを指定してループを開始し、更新処理と描画処理を登録
		() =>{	//	更新処理
		},
		() =>{	//	描画処理
			TUGames.GX.Clear();	//	設定された背景色で画面初期化
			TUGames.GX.SwapBuffers();	//	表裏画面を切り替え、描画内容を表示
		} );
	}

	static void Main( string[] args )
	{
		System.Windows.Forms.Application.Run( new Program() );
	}
}
