using System;
using System.Collections.Generic;

class Program : System.Windows.Forms.Form
{
	List<TUGames.Primitive>	mPS = new List<TUGames.Primitive>();
	List<TUGames.Primitive>	mPC = new List<TUGames.Primitive>();
	List<TUGames.Primitive>	mPN = new List<TUGames.Primitive>();
	float	mZoom = 18.0f;
//	float	mZoom = 15.0f;
//	float	mZoom = 2.1f;
	float	mX = -20*279, mY = -60*79;
//	float	mX = -320*15, mY = -60*70;
//	float	mX = -810, mY = -639;
	System.Windows.Forms.MouseEventArgs	mMove;

	static string[]	sName = { "越後", "越中", "能登", "加賀", "越前", "上野", "武蔵", "相模", "伊豆", "甲斐", "信濃", "飛騨", "美濃", "駿河", "遠江", "三河", "尾張" };
	static int[]	sPos  = { 30,23,  18,17,  14,23,  12,15,  11,11,  32,16,  34,11,  34, 6,  32, 0,  28, 8,  24,14,  17,13,  15, 7,  27, 2,  23,  1,  19,  2,  14,  3  };


	Program()
	{
		SetStyle( System.Windows.Forms.ControlStyles.Opaque, true );	//	ちらつき防止
//		FormBorderStyle = System.Windows.Forms.FormBorderStyle.None;
//		TUGames.GX.Init( this, 1260, 680 );	//	自身、ウィンドウサイズ横、縦を指定してライブラリ初期化
		TUGames.GX.Init( this, 480, 480 );	//	自身、ウィンドウサイズ横、縦を指定してライブラリ初期化
//		TUGames.GX.Init( this, 320, 200, 3 );	//	自身、ウィンドウサイズ横、縦を指定してライブラリ初期化
		TUGames.GL.LineWidth( 2 );
//		TUGames.GX.FontName = "Meiryo";
//		TUGames.GX.FontSize = 8;

		var	fd =  new TUGames.FontData( new System.Drawing.Font( "MS Gothic", 16, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel ) );
		for( int i = 0; i < sName.Length; i++ ){
			mPN.Add( TUGames.Primitive.CreateString( sName[ i ], fd, sPos[ i << 1 ], -sPos[ i << 1 | 1 ], 0, 1 / mZoom, 2 / mZoom ) );
		}

// 3600/440=360/44=90/11

		mPC.Add( CreateC( new float[]{  38, 12,  36, 12,  34, 13,  33, 12,  30, 10 } ) );
		mPC.Add( CreateC( new float[]{  30, 10,  30,  9 } ) );
		mPC.Add( CreateC( new float[]{  30,  9,  34,  7 } ) );
		mPC.Add( CreateC( new float[]{  30,  9,  28,  9,  27, 10,  26,  9,  26,  6 } ) );
		mPC.Add( CreateC( new float[]{  38, 12,  38, 11,  39,  9,  39,  7 } ) );
		mPC.Add( CreateC( new float[]{  37, 36,  39, 35,  39, 33,  40, 33,  40, 32,  39, 32,  38, 29,  39, 28 } ) );
		mPC.Add( CreateC( new float[]{  39, 28,  37, 26,  37, 25,  36, 25,  35, 24,  34, 24,  34, 23,  35, 20,  35, 19 } ) );
		mPC.Add( CreateC( new float[]{  36, 19,  35, 19 } ) );
		mPC.Add( CreateC( new float[]{  36, 19,  36, 18,  35, 17,  35, 16,  37, 16,  35, 14,  36, 13,  37, 13,  38, 12 } ) );
		mPC.Add( CreateC( new float[]{  35, 19,  34, 20,  33, 19,  32, 18,  31, 18,  30, 17 } ) );
		mPC.Add( CreateC( new float[]{  30, 17,  30, 19,  29, 20,  28, 20,  27, 19,  26, 19,  25, 18,  25, 19,  24, 19,  23, 18 } ) );
		mPC.Add( CreateC( new float[]{  30, 17,  29, 17,  28, 16,  28, 15,  29, 14,  30, 14,  30, 10 } ) );
		mPC.Add( CreateC( new float[]{  38,  3,  37,  5,  34,  7 } ) );
		mPC.Add( CreateC( new float[]{  34,  7,  34,  6,  32,  4 } ) );
		mPC.Add( CreateC( new float[]{  32,  4,  30,  3,  29,  4,  29,  2,  28,  2,  27,  3,  26,  3,  26,  6 } ) );
		mPC.Add( CreateC( new float[]{  26,  6,  25,  3 } ) );
		mPC.Add( CreateC( new float[]{  25,  3,  26,  2,  26, -1,  27, -2 } ) );
		mPC.Add( CreateC( new float[]{  25,  3,  23,  2 } ) );
		mPC.Add( CreateC( new float[]{  23,  2,  22, -1,  21, -2,  21, -3 } ) );
		mPC.Add( CreateC( new float[]{  23,  2,  21,  3 } ) );
		mPC.Add( CreateC( new float[]{  21,  3,  18,  3 } ) );
		mPC.Add( CreateC( new float[]{  21,  3,  21,  4,  20,  8 } ) );
		mPC.Add( CreateC( new float[]{  20,  8,  21,  9,  22, 13,  22, 14 } ) );
		mPC.Add( CreateC( new float[]{  23, 18,  23, 16,  22, 14 } ) );
		mPC.Add( CreateC( new float[]{  23, 18,  23, 19,  22, 20 } ) );
		mPC.Add( CreateC( new float[]{  20,  8,  19,  7,  18,  7,  18,  9,  17,  10,  15, 10 } ) );
		mPC.Add( CreateC( new float[]{  33,  1,  33,  4,  32,  4 } ) );
		mPC.Add( CreateC( new float[]{  34,  1,  33,  1 } ) );
		mPC.Add( CreateC( new float[]{  33,  1,  32,  0 } ) );
		mPC.Add( CreateC( new float[]{  17, 20,  15, 20,  15, 17 } ) );
		mPC.Add( CreateC( new float[]{  15, 17,  14, 18 } ) );
		mPC.Add( CreateC( new float[]{  15, 17,  15, 13 } ) );
		mPC.Add( CreateC( new float[]{  22, 14,  17, 14,  16, 13,  15, 13 } ) );
		mPC.Add( CreateC( new float[]{  15, 13,  14, 11 } ) );
		mPC.Add( CreateC( new float[]{  15, 10,  14, 11 } ) );
		mPC.Add( CreateC( new float[]{  14, 11,  13, 11,  12, 12,  11, 12,  10, 13 } ) );
		mPC.Add( CreateC( new float[]{  15, 10,  15,  8,  12,  8,  11,  7 } ) );
		mPC.Add( CreateC( new float[]{  11,  7,  10,  7,  10,  6,   8,  6,   8,  8  } ) );
		mPC.Add( CreateC( new float[]{  12,  2,  12,  4,  11, 7 } ) );
		mPC.Add( CreateC( new float[]{  12,  2,  13,  1 } ) );
		mPC.Add( CreateC( new float[]{  18,  3,  17,  2,  16, -1 } ) );
		mPC.Add( CreateC( new float[]{  18,  3,  17,  4,  14,  4,  13,  3,  13,  1 } ) );
		mPC.Add( CreateC( new float[]{  13,  1,  14,  0 } ) );


		//	北海道
		mPS.Add( CreateS( new float[]{
			 41,  77,
			 40,  77,
			 39,  73,
			 40,  71,
			 41,  70,
			 42,  68,
			 41,  66,
			 41,  65,
			 42,  64,
			 44,  65,
			 44,  66,
			 46,  68,
			 48,  67,
			 50,  68,
			 48,  71,
			 47,  71,
			 44,  72,
			 44,  75,
			 45,  76,
			 46,  76,
		} ) );

		//	本州
		mPS.Add( CreateS( new float[]{
			 48,  65,
			 47,  61,
			 51,  63,
			 50,  59,
			 48,  60,
			 47,  58,
			 46,  62,
			 44,  63,
			 43,  58,
			 40,  56,
			 41,  54,
			 40,  50,
			 38,  50,
			 39,  49,
			 41,  49,
			 41,  47,
			 40,  43,
			 39,  38,
			 38,  37,
			 37,  36,
			 36,  34,
			 36,  32,
			 35,  30,
			 31,  28,
			 29,  24,
			 26,  22,
			 25,  22,
			 22,  20,
			 20,  19,
			 20,  18,
			 19,  18,
			 16,  19,
			 17,  20,
			 17,  21,
			 16,  21,
			 16,  22,
			 17,  22,
			 18,  23,
			 18,  24,
			 19,  24,
			 19,  25,
			 16,  24,
			 15,  24,
			 14,  23,
			 14,  18,
			 10,  13,
			  9,  12,
			  8,  10,
			  9,   8,
			  9,   7,
			  8,   8,
			  7,   6,
			  6,   5,
			  2,   6,
			  2,   8,
			 -1,   7,
			 -4,   7,
			 -7,   6,
			-16,   6,
			-19,   4,
			-19,   3,
			-26,  -3,
			-27,  -3,
			-30,  -6,
			-33,  -6,
			-33, -10,
			-30, -11,
			-27, -10,
			-23, -12,
			-23,  -9,
			-21,  -7,
			-20,  -8,
			-11,  -5,
			 -9,  -5,
			 -6,  -3,
			 -2,  -3,
			  0,  -4,
			  3,  -3,
			  3,  -4,
			  1,  -7,
			  1, -11,
			  3, -13,
			  3, -14,
			  6, -15,
			  8, -14,
			  9, -11,
			 10, -10,
			 10,  -9,
			 14,  -7,
			 15,  -7,
			 16,  -6,
			 15,  -5,
			 13,  -4,
			 13,  -2,
			 14,   0,
			 15,   1,
			 15,  -2,
			 16,  -3,
			 16,  -1,
			 17,  -2,
			 19,  -2,
			 18,  -3,
			 17,  -3,
			 16,  -4,
			 17,  -4,
			 21,  -3,
			 26,  -4,
			 27,  -2,
			 28,  -1,
			 29,   1,
			 31,   1,
			 32,   0,
			 31,   0,
			 31,  -3,
			 32,  -4,
			 34,  -1,
			 34,   1,
			 34,   2,
			 35,   3,
			 37,   3,
			 38,   1,
			 38,   3,
			 38,   4,
			 39,   5,
			 39,   7,
			 40,   7,
			 42,   6,
			 39,   3,
			 40,   2,
			 39,   0,
			 40,  -1,
			 42,   1,
			 43,   1,
			 44,   2,
			 44,   4,
			 45,   6,
			 48,   7,
			 46,  11,
			 46,  15,
			 47,  18,
			 48,  19,
			 49,  22,
			 49,  24,
			 48,  29,
			 49,  32,
			 52,  34,
			 53,  33,
			 53,  37,
			 54,  39,
			 54,  40,
			 55,  40,
			 57,  44,
			 57,  48,
			 54,  55,
			 53,  56,
			 52,  60,
			 53,  64,
			 51,  64,
		} ) );

		//	四国
		mPS.Add( CreateS( new float[]{
			 -3,  -8,
			 -4,  -8,
			 -8,  -6,
			-11,  -8,
			-12, -10,
			-16, -10,
			-17,  -9,
			-19, -11,
			-19, -13,
			-24, -16,
			-21, -15,
			-21, -17,
			-20, -17,
			-20, -21,
			-19, -21,
			-19, -22,
			-16, -23,
			-16, -20,
			-14, -17,
			-11, -15,
			-10, -15,
			 -8, -16,
			 -7, -17,
			 -5, -14,
			 -2, -12,
			 -3, -10,
		} ) );

		//	九州
		mPS.Add( CreateS( new float[]{
			-33, -11,
			-36, -11,
			-37, -12,
			-37, -13,
			-38, -14,
			-39, -13,
			-41, -15,
			-42, -15,
			-42, -16,
			-44, -16,
			-44, -17,
			-42, -19,
			-41, -21,
			-42, -21,
			-42, -20,
			-43, -19,
			-44, -19,
			-44, -20,
			-42, -23,
			-43, -24,
			-41, -23,
			-40, -22,
			-40, -24,
			-39, -24,
			-38, -23,
			-38, -22,
			-39, -22,
			-39, -19,
			-38, -18,
			-37, -20,
			-37, -21,
			-36, -22,
			-36, -23,
			-37, -24,
			-36, -24,
			-36, -25,
			-38, -29,
			-39, -29,
			-39, -32,
			-38, -34,
			-39, -36,
			-40, -36,
			-39, -37,
			-36, -38,
			-36, -33,
			-35, -33,
			-35, -34,
			-36, -34,
			-35, -38,
			-35, -40,
			-33, -39,
			-33, -37,
			-32, -35,
			-31, -36,
			-30, -36,
			-29, -33,
			-29, -31,
			-27, -25,
			-25, -22,
			-25, -20,
			-26, -19,
			-25, -18,
			-27, -18,
			-28, -17,
			-27, -15,
			-27, -14,
			-28, -13,
			-29, -14,
			-30, -14,
			-33, -12,
		} ) );

		//	佐渡
		mPS.Add( CreateS( new float[]{
			 28,  33,
			 26,  30,
			 27,  30,
			 26,  28,
			 28,  29,
			 29,  30,
			 28,  30,
		} ) );

		//	淡路
		mPS.Add( CreateS( new float[]{
			  0,  -4,
			 -3,  -7,
			 -2,  -8,
			  0,  -7,
			 -1,  -6,
		} ) );

		//	隠岐
		mPS.Add( CreateS( new float[]{
			-13,  13,
			-12,  13,
			-12,  12,
			-13,  12,
		} ) );

		//	対馬
		mPS.Add( CreateS( new float[]{
			-45,  -3,
			-47,  -4,
			-48,  -9,
			-47,  -9,
			-46,  -6,
		} ) );

		//	壱岐
		mPS.Add( CreateS( new float[]{
			-44, -12,
			-44, -13,
			-43, -13,
			-43, -12,
		} ) );

		//	天草
		mPS.Add( CreateS( new float[]{
			-37, -25,
			-40, -25,
			-41, -28,
			-39, -26,
			-38, -26,
		} ) );

		//	種子島
		mPS.Add( CreateS( new float[]{
			-32, -42,
			-33, -43,
			-34, -47,
			-33, -46,
		} ) );

		//	屋久島
		mPS.Add( CreateS( new float[]{
			-37, -45,
			-38, -46,
			-37, -47,
			-36, -46,
		} ) );

	}

	static TUGames.Primitive CreateC( float[] va )
	{
		var ia = new ushort[ va.Length - 2 ];
		for( int i = 0; i < va.Length; i += 2 ){
			va[ i + 1 ] = -va[ i + 1 ];
		};
		for( int i = 0; i < ia.Length; i += 2 ){
			ia[ i     ] = (ushort)( i >> 1 );
			ia[ i + 1 ] = (ushort)( ( i >> 1 ) + 1 );
		};

		var	r = new TUGames.Primitive( TUGames.GU.Format.V3F, TUGames.GL.LINES );
		r.mBufData[ (int)TUGames.Buffers.Type.POSITION ] = new TUGames.BufData( TUGames.GL.ARRAY_BUFFER, TUGames.GL.STATIC_DRAW, TUGames.GL.FLOAT, 2, 0 );
		r.mBufData[ (int)TUGames.Buffers.Type.POSITION ].setData( va );
		r.mBufData[ (int)TUGames.Buffers.Type.INDICES ] = new TUGames.BufData( TUGames.GL.ELEMENT_ARRAY_BUFFER, TUGames.GL.STATIC_DRAW, TUGames.GL.UNSIGNED_SHORT );
		r.mBufData[ (int)TUGames.Buffers.Type.INDICES ].setData( ia );
		return( r );
	}

	static TUGames.Primitive CreateS( float[] va )
	{
		var ia = new ushort[ va.Length ];
		for( int i = 0; i < ia.Length; i += 2 ){
			ia[ i     ] = (ushort)( i >> 1 );
			ia[ i + 1 ] = (ushort)( ( i >> 1 ) + 1 );
			va[ i + 1 ] = -va[ i + 1 ];
		};
		ia[ ia.Length - 1 ] = 0;

		var	r = new TUGames.Primitive( TUGames.GU.Format.V3F, TUGames.GL.LINES );
		r.mBufData[ (int)TUGames.Buffers.Type.POSITION ] = new TUGames.BufData( TUGames.GL.ARRAY_BUFFER, TUGames.GL.STATIC_DRAW, TUGames.GL.FLOAT, 2, 0 );
		r.mBufData[ (int)TUGames.Buffers.Type.POSITION ].setData( va );
		r.mBufData[ (int)TUGames.Buffers.Type.INDICES ] = new TUGames.BufData( TUGames.GL.ELEMENT_ARRAY_BUFFER, TUGames.GL.STATIC_DRAW, TUGames.GL.UNSIGNED_SHORT );
		r.mBufData[ (int)TUGames.Buffers.Type.INDICES ].setData( ia );
		return( r );
	}

	protected override void OnMouseMove( System.Windows.Forms.MouseEventArgs e )
	{
		if( e.Button != System.Windows.Forms.MouseButtons.None ){
			mX += mMove.X - e.X;
			mY += mMove.Y - e.Y;
			Invalidate();
		}
		mMove = e;
	}

	protected override void OnMouseWheel( System.Windows.Forms.MouseEventArgs e )
	{
		if( e.Delta > 0 ){
			mZoom *= 2;
		}else{
			mZoom /= 2;
		}
		Invalidate();
	}

	protected override void OnPaint( System.Windows.Forms.PaintEventArgs e )
	{
		TUGames.GX.Clear();	//	設定された背景色で画面初期化

/*
		TUGames.GX.FillRect(   0,  58, 320, 120, 0xff440000 );

		TUGames.GL.PushMatrix();
		TUGames.GL.Translatef( -mX - 320 * mZoom, -mY - 240 * mZoom, 0 );
		TUGames.GL.Scalef( mZoom, mZoom, 1 );
		TUGames.GL.Rotatef( 27, 0, 0, 1 );

		var fa = TUGames.GU.GetCurrentColor();

		TUGames.GU.ColorABGR( 0xffff5500 );
		TUGames.GL.LineWidth( 10 );
		foreach( var p in mPS ){
			p.draw();
		}

		TUGames.GU.ColorABGR( 0xffffaa00 );
		TUGames.GL.LineWidth( 5 );
		foreach( var p in mPS ){
			p.draw();
		}

		TUGames.GU.ColorABGR( 0xffffffaa );
		TUGames.GL.LineWidth( 3 );
		foreach( var p in mPS ){
			p.draw();
		}

		TUGames.GU.ColorABGR( 0xff000000 );
		TUGames.GL.LineWidth( 1 );
		foreach( var p in mPS ){
			p.draw();
		}

		TUGames.GL.Color4fv( fa );

		TUGames.GL.PopMatrix();

		uint	wclr = 0xff88dd88;
		TUGames.GX.FillRect(   0,   0, 176,  22, wclr );
		TUGames.GX.FillRect(   0,  24, 176,  32, wclr );
		TUGames.GX.FillRect( 180,   0, 180,  22, wclr );
		TUGames.GX.FillRect( 180,  24, 180,  32, wclr );
		TUGames.GX.FillRect(   0, 180,  24,  20, wclr );
		TUGames.GX.FillRect(  28, 180, 244,  20, wclr );
		TUGames.GX.FillRect( 276, 180,  44,  20, wclr );

TUGames.GX.FillRect(   0,  56, 320,   2, 0xff000000 );
TUGames.GX.FillRect(   0, 178, 320,   2, 0xff000000 );


//		var		pri = TUGames.Primitive.CreateString( "天下統一", new TUGames.FontData( new System.Drawing.Font( "Meiryo", 44, System.Drawing.FontStyle.Bold ) ), 102,  60, 0, 0.5f, 0.5f, 0 );
//		pri.mBufData[ (int)TUGames.Buffers.Type.COLOR ].setData( new uint[]{ 0xffffffff, 0xff00ffff, 0xffffffff, 0xff00ffff } );
//		pri.draw();


		TUGames.GX.FillRect(   3,   1,  65,   9, 0xff000000 );
		TUGames.GX.FillRect(  71,   1,  61,   9, 0xff000000 );
		TUGames.GX.FillRect( 135,   1,  38,   9, 0xff000000 );
		TUGames.GX.FillRect(   3,  11,  57,   9, 0xff000000 );
		TUGames.GX.FillRect(  63,  11,  53,   9, 0xff000000 );
		TUGames.GX.FillRect( 119,  11,  54,   9, 0xff000000 );

		TUGames.GX.FillRect(  31, 183, 237,  13, 0xff000000 );

		float	h = ( TUGames.GX.sFontData.FontSize - TUGames.GX.sFontData.FontHeight ) / 2 / TUGames.GX.Mag;
h=-1.33333333f;

		TUGames.GX.DrawString( "　尾張国  45万石",   4, h +  2, 0, 0xff00ff00 );
		TUGames.GX.DrawString( "状況 勢力混在"   ,  72, h +  2, 0, 0xff00ff00 );
		TUGames.GX.DrawString( "町    30"        , 136, h +  2, 0, 0xff00ff00 );
		TUGames.GX.DrawString( "支配率   18 ％"  ,   4, h + 12, 0, 0xff00ff00 );
		TUGames.GX.DrawString( "住民感情  55"    ,  64, h + 12, 0, 0xff00ff00 );
		TUGames.GX.DrawString( "年収入   575"    , 120, h + 12, 0, 0xff00ff00 );

		TUGames.GX.DrawString( "これでよろしいですか？"    , 36, h + 186, 0, 0xffffffff );
*/


		TUGames.GU.ColorABGR( 0xffffffff );
		foreach( var p in mPS ){
			p.draw( -mX - 320 * mZoom,
			        -mY - 240 * mZoom, 0, mZoom, mZoom, 1 );
		}

		TUGames.GU.ColorABGR( 0xffffff00 );
		foreach( var p in mPC ){
			p.draw( -mX - 320 * mZoom,
			        -mY - 240 * mZoom, 0, mZoom, mZoom, 1 );
		}

		foreach( var p in mPN ){
			p.draw( -mX - 320 * mZoom,
			        -mY - 240 * mZoom, 0, mZoom, mZoom, 1, 0xff00ff00 );
		}

		TUGames.GX.SwapBuffers();	//	表裏画面を切り替え、描画内容を表示
	}

	static void Main( string[] args )
	{
		System.Windows.Forms.Application.Run( new Program() );
	}
}


/*
	北端	宗谷岬		45°31'22.8"N 141°56'11.7"E	45.523010, 141.936584
	東端	納沙布岬	43°23'07.4"N 145°49'03.1"E	43.385400, 145.817532
	西端	九州本土の	33°19'50.8"N 129°33'41.2"E	33.330789, 129.561431
	南端	佐多岬		30°59'39.3"N 130°39'38.3"E	30.994262, 130.660633

	緯度	10°31'22.8 = 631'22.8 = 37882.8	/ 9 = 4209	/360 = 105.23
	経度	10°49'03.1 = 649'03.1 = 38943.1	/11 = 3540	/440 =  88.51

*/
