"use strict";


window.onload = function()
{
	TUGames.GX.Init( "main", 640, 480 );	//	キャンバスIDと描画領域を指定してライブラリ初期化
	TUGames.GX.ClearColor( 0xffff0000 );	//	背景色をABGR形式で設定
	TUGames.GX.SetFontSize( 32 );	//	文字列描画時の大きさを設定
	let		pa = TUGames.Primitive.CreateString( "こんにちは世界", new TUGames.FontData( 40 ) );	//	文字列と、フォントを指定して、文字列がテスクチャとして設定されたプリミティブを生成
	pa.setDataColor( new Uint32Array( [ 0xffffffff, 0xff00ffff, 0xffff00ff, 0xffffff00 ] ) );	//	プリミティブの頂点色を設定
	let		pb = TUGames.Primitive.CreateString( "★", new TUGames.FontData( 80 ) );
	let		x = 0;
	TUGames.PF.StartLoop( 60,	//	fpsを指定してループを開始し、更新処理と描画処理を登録
	()=>{	//	更新処理
		if( ++x >= 640 ){
			x = -200;
		}
	},
	()=>{	//	描画処理
		TUGames.GX.Clear();	//	設定された背景色で画面初期化
		pa.draw( x, 100, 0 );	//	x,y,z 座標を指定して、プリミティブを描画
		pb.draw( x, 130, 0, 1, 1, 1, 0xff00ffff );	//	x,y,z 座標、x,y,z 拡大率、色を指定して、プリミティブを描画
		TUGames.GX.DrawASCII( "Hello World", x, 220, 0, 0xff55ff55 );	//	座標XYZへ、ABGR形式で指定した色で文字列を描画
		GL.flush();	//	描画内容を画面に反映
	} );
}
