"use strict";

window.onload = function()
{
	TUGames.GX.Init( "main", 640, 480 );	//	キャンバスIDと描画領域を指定してライブラリ初期化
	TUGames.GX.ClearColor( 0xff00aa00 );	//	背景色をABGR形式で設定

	let		p = new Uint16Array( [
	 0xffff, 0x00ff, 0x00ff, 0x0000,
	 0xffff, 0xfaaf, 0xfaaf, 0x0000,
	 0xfaaf, 0x00ff, 0x00ff, 0xfaaf,
	 0x0000, 0x00ff, 0x00ff, 0x0000,
	] );

	let		t = GL.createTexture();
	GL.bindTexture( GL.TEXTURE_2D, t );
	GL.texParameteri( GL.TEXTURE_2D, GL.TEXTURE_MAG_FILTER, GL.NEAREST );
	GL.texParameteri( GL.TEXTURE_2D, GL.TEXTURE_MIN_FILTER, GL.NEAREST );
	GL.texImage2D( GL.TEXTURE_2D, 0, GL.RGBA, 4, 4, 0, GL.RGBA, GL.UNSIGNED_SHORT_4_4_4_4, p );

	let		x = 300, y = 220;
	TUGames.PF.StartLoop( 60,	//	fpsを指定してループを開始し、更新処理と描画処理を登録
	()=>{	//	更新処理
		if( TUGames.PF.IsKeyDown( 37 ) )	x--;	//	引数で指定されたキーが押されている場合
		if( TUGames.PF.IsKeyDown( 38 ) )	y--;	//	引数で指定されたキーが押されている場合
		if( TUGames.PF.IsKeyDown( 39 ) )	x++;	//	引数で指定されたキーが押されている場合
		if( TUGames.PF.IsKeyDown( 40 ) )	y++;	//	引数で指定されたキーが押されている場合
	},
	()=>{	//	描画処理
		TUGames.GX.Clear();	//	設定された背景色で画面初期化
		TUGames.GX.DrawTexture( t, x, y, 0, 64, 64 );	//	指定されたテクスチャを、座標XYZへ幅高さWHにして描画
		GL.flush();	//	描画内容を画面に反映
	} );
}
